function  varargout=demo25(MshFileVersion)
  if nargin==0,MshFileVersion='4.1';end
  assert( ismember(MshFileVersion,{'4.0','4.1'}) )
  fprintf('--------------- demo25\n')
  fprintf('3D partitioned mesh from geofile using ''MshFileVersion''=''%s''(default)\n',MshFileVersion)
  fprintf('---------------\n')
  geofile='cylinderkey';np=5;
  fprintf('1. Building partitioned mesh file\n')
  fprintf('   -> geofile : %s\n',geofile)
  fprintf('   -> number of partitions : %d\n',np);
  pmfile=fc_oogmsh.gmsh.buildpartmesh(geofile,np,'verbose',2,'force',true,'MshFileVersion',MshFileVersion);
  fprintf('   -> partitioned msh file : %s\n',fc_oogmsh.pathrep(pmfile));
  fprintf('2. Reading the partitioned mesh file\n')
  pGh=fc_oogmsh.ooGmsh4(pmfile)
  if nargout==1,varargout{1}=pGh;end
end
